Bug 990518 - config: [environment:default] overwrite instead of set default
config: [environment:default] overwrite instead of set default
Status: CLOSED CURRENTRELEASE
Product: otopi
Classification: oVirt
Component: Plugins.core (Show other bugs)
---
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: 1.1.0
Assigned To: Alon Bar-Lev
Ilanit Stein
integration
: Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 07:18 EDT by Ilanit Stein
Modified: 2015-09-20 16:59 EDT (History)
7 users (show)

See Also:
Fixed In Version: is10
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 04:41:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
istein: devel_ack?


Attachments (Terms of Use)
engine-setup log (1.18 MB, text/plain)
2013-07-31 07:18 EDT, Ilanit Stein
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17823 None None None Never

  None (edit)
Description Ilanit Stein 2013-07-31 07:18:37 EDT
Created attachment 781042 [details]
engine-setup log

Description of problem:

Running "engine-setup-2 --jboss-home=dir" do not run over jboss-home as expected.

/etc/ovirt-engine-setup.conf.d/10-packaging.conf 
still contain original jboss-home:
OVESETUP_CONFIG/jbossHome=str:/usr/share/jbossas

alonbl explanation:
In order to find jboss location which is different in distributions, we add this packaging file during rpm installation.
at fedora and rhel it is different setting
the --jboss-home should have overridden this setting, while the packaging file overwrite the parameter...

Version-Release number of selected component (if applicable):
is6
Comment 1 Alon Bar-Lev 2013-08-01 03:25:20 EDT
setting this as low, as:

1. production should not modify jboss home.

2. this can be achieved via configuration file.

Note You need to log in before you can comment on or make changes to this bug.